import { RefObject, FC } from 'react';

interface useUntabbableOptions {
    /**
     * Restores the tabbable behaviour.
     */
    disabled?: boolean;
    /**
     * If it should also disable the container and not just its children.
     */
    includeContainer?: boolean;
}
declare function useUntabbable(ref: RefObject<HTMLElement> | RefObject<HTMLElement>[], options?: useUntabbableOptions): void;

interface UntabbableProps {
    /**
     * Restores the tabbable behaviour.
     */
    disabled?: boolean;
}
declare const Untabbable: FC<UntabbableProps>;

export default useUntabbable;
export { Untabbable, useUntabbable };
